﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Parents
            </h1>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    
    <form novalidate="" ng-submit="search()">
        <label for="searchTerm">Search</label>

        <div class="place-left input-control select one-third padding-right10">
            <select ng-model="SearchType" ng-change="searchTerm = ''; firstName=''; lastName='';"
                    ng-options="obj.Value as obj.Text for obj in SearchTypes"></select>
        </div>

        <div ng-show="SearchType == 'Email' || SearchType == 'ConfirmationId' || SearchType == 'Phone'" class="place-left input-control text two-third padding-right10">
            <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="searchTerm" type="search" name="SearchTerm" ng-model="searchTerm" placeholder="{{SearchType == 'Email'? 'Email': SearchType == 'ConfirmationId' ? 'e.g. BFDD-01-C6A0' : 'e.g. 555-666-7777'}}">
        </div>

        <div ng-show="SearchType == 'Name'" class="place-left input-control text two-third padding-right10">
            <div class="place-left input-control text one-half padding-right10">
                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="firstName" type="search" ng-model="firstName" placeholder="First name">
            </div>
            <div class="place-left input-control text one-half padding-right10">
                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="lastName" type="search" ng-model="lastName" placeholder="Last name">
            </div>
        </div>

        <div ng-show="SearchType == 'Season' && MC.account.isPartner">
            <div class="clearfix"></div>
            <div class="place-left one-fourth padding-right20">
                <label for="filter.typeId">Season</label>
                <div class="input-control select" data-role="input-control">
                    <select ng-model="SeasonName" ng-options="obj.Value as obj.Title for obj in SeasonNames"></select>
                </div>
            </div>
            <div class="place-left one-fourth padding-right20">
                <label for="filter.typeId">Year</label>
                <div class="input-control select" data-role="input-control">
                    <select ng-model="Year" ng-options="obj.Value as obj.Text for obj in Years"></select>
                </div>
            </div>
        </div>

        <div ng-show="MC.account.isPartner">
            <div class="input-control choosen" data-role="input-control">
                <select chosen multiple
                        ng-model="Model._SelectedSchools"
                        data-placeholder="Select schools"
                        ng-options="obj.Value as obj.Text for obj in AllSchools"></select>
            </div>
        </div>

        <div class="clearfix"></div>
        <button class="button primary place-right" type="submit">Search</button>
        <button class="button link place-right on-left-more" type="button" ng-click="clearFilters()">Clear filters</button>
    </form>

    <div class="clearfix"></div>
    <kendo-grid id="parentGrid" options="parentGridOptions">

    </kendo-grid>

</div>
